---
updatedAt: 2026-04-22T12:30:13.000Z
agentTools:
  projectIndex: https://developer.druva.com/llms.txt
---

# List all organizations

Returns a list of all organizations.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0",
    "title": "Enterprise Workloads"
  },
  "x-explorer-enabled": true,
  "paths": {
    "/organization/v1/orgs": {
      "get": {
        "description": "Returns a list of all organizations.",
        "tags": [
          "Organization"
        ],
        "summary": "List all organizations",
        "operationId": "ListOrgRequest",
        "security": [
          {
            "Bearer": []
          }
        ],
        "parameters": [
          {
            "x-go-name": "PageToken",
            "description": "Specify the token to access the next page of results. Keep this field blank in the first request. Use the token value received in the previous response's parameter 'nextPageToken'.",
            "name": "pageToken",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListOrgResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "The request did not include an authentication token or the authentication token was expired."
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "The requested resource was not found."
          },
          "500": {
            "description": "The request was not processed due to an internal error in Cloud.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServiceError"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "//apis.druva.com/phoenix"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "ServiceError": {
        "description": "Service Error",
        "type": "object",
        "title": "ServiceError represents an error with an associated error code.",
        "properties": {
          "code": {
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code",
            "description": "Error Code"
          },
          "message": {
            "type": "string",
            "description": "Application specific error message"
          }
        },
        "x-go-package": "vendor/druva.com/godevkit/errortype"
      },
      "ListOrgResponse": {
        "description": "ListOrgResponse is the response schema for ListOrg",
        "type": "object",
        "properties": {
          "nextPageToken": {
            "description": "The token to access the next page of results. This parameter will be empty for the last page of results.",
            "type": "string",
            "x-go-name": "OutToken"
          },
          "orgs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/OrgResponse"
            },
            "x-go-name": "Orgs"
          }
        },
        "x-go-package": "phoenix/customerconfig/report/spec/site"
      },
      "OrgResponse": {
        "description": "OrgResponse is the response schema for ListOrg",
        "type": "object",
        "properties": {
          "id": {
            "description": "The ID of the organization.",
            "type": "integer",
            "format": "int32",
            "x-go-name": "ID"
          },
          "organizationName": {
            "description": "The name of the organization.",
            "type": "string",
            "x-go-name": "OrganizationName"
          }
        },
        "x-go-package": "phoenix/customerconfig/report/spec/site"
      }
    }
  }
}
```